security – Which WordPress plugins block vulnerability scanners?

I am looking for a WordPress plugin that automatically and permanently blocks IP addresses that try to access URLs of known vulnerabilities. In other words, I want to address vulnerability addresses known as jars of honey.

I receive hundreds of 404 errors every day from vulnerability scanners, and it seems trivial for a security plug-in to identify them by their 404 access attempts.

Examples of 404 obviously resulting from the vulnerability analysis:

It would be nice if it could automatically fill in the list of known vulnerable addresses, but if such a program did not exist, I would be ready to hear about plugins that require manual input from a list of vulnerable addresses. # 39; s URL. It would not be too difficult to make me my 404 newspapers.